adequate (0.16.18) unstable; urgency=medium

  * Do not pass to dpkg ambiguous package names, in multi-arch setups.  (e.g.
    drop "foo" when "foo:i386" and "foo:amd64" are also installed, otherwise
    dpkg doesn't know whether "foo" refers to the i386 or the amd64 package;
    Closes: #1077590). Thanks to Sebastian Ramacher <sramacher@debian.org> for
    reporting the issue and testing potential fixes.

 -- Serafeim Zanikolas <sez@debian.org>  Wed, 21 Aug 2024 00:00:28 +0200

adequate (0.16.14) unstable; urgency=medium

  * Limit reporting of policy violations via debconf to a maximum of 64k
    bytes. Messages somewhere in the (64k, 128k] range cause whiptail to fail
    with "Argument list too long" (Closes: #1077704).

 -- Serafeim Zanikolas <sez@debian.org>  Fri, 16 Aug 2024 01:26:18 +0200

adequate (0.16.13) unstable; urgency=medium

  * Do not mess-up the console (Closes: #1076788). Thanks to Antti Kultanen
    <debbugs@pyksy.fi> and gregor herrmann <gregoa@debian.org> for reporting
    the issue and helping me to reproduce it. Also thanks to Guillem Jover
    <guillem@debian.org> for tracking down the issue to adequate (it was
    initially reported against apt).
    * in respawning adequate via debconf, set only SysProcAttr.Setsid and let
      exec.Run() figure out the controlling terminal file descriptor (rather
      than asking it, via SysProcAttr.Setctty, to respect SysProcAttr.Ctty
      which we in fact were not setting (so it'd would only work for whatever
      setups the default (0) fd was valid)
    * do not close stdout; this was done in the perl version of adequate but
      with the rewrite in go, it seems to mess up apt hooks after adequate
  * Other cleanups:
    * eliminate deferred calls from main(); they don't get to run when calling
      os.Exit() (directly, or via log.Fatal())
    * respawn via debconf only when --debconf is set
    * set child stderr to parent stderr (rather than parent stdout)

 -- Serafeim Zanikolas <sez@debian.org>  Thu, 15 Aug 2024 23:38:38 +0200

adequate (0.16.9) unstable; urgency=medium

  * Build-depend on golang-any rather than golang-go (Closes: #1077724).
    Thanks to John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
  * Propagate --verbose to debconf-talking subprocess.

 -- Serafeim Zanikolas <sez@debian.org>  Sat, 03 Aug 2024 23:45:37 +0200

adequate (0.16.8) unstable; urgency=medium

  * Fix parsing of update-binfmts output (Closes: #1077805).
  * Suppress false positive broken-symlink tags, for files that are either
    missing or cannot be stat'ed (Closes: #1077706).

 -- Serafeim Zanikolas <sez@debian.org>  Sat, 03 Aug 2024 23:19:51 +0200

adequate (0.16.7) unstable; urgency=medium

  * Suppress missing-alternative for wmaker (see #868334).
  * README: revise autopkgtest instructions (Closes: #743198). Thanks to
    "Martin-Éric Racine" <martin-eric.racine@iki.fi> for the suggestions.
  * Add version constraint to Build-Depends: golang-go, for relatively new
    stdlib packages (cmp and slices). Closes: #1077724.
  * Pending mode should propagate debconf setting, rather than set it
    unconditionally (Closes: #1077703).
  * Add crude progress reporting, behind --verbose (Closes: #1077705).

 -- Serafeim Zanikolas <sez@debian.org>  Tue, 30 Jul 2024 19:40:10 +0200

adequate (0.16.6) unstable; urgency=medium

  * Drop non-arch binary packages if at least one arch-equivalent is also
    specified (e.g. drop "foo" when accompanied by "foo:i386"; Closes:
    #1077590).
  * Fix gitlab CI config.
  * Minor refactoring changes.

 -- Serafeim Zanikolas <sez@debian.org>  Tue, 30 Jul 2024 14:43:17 +0200

adequate (0.16.5) unstable; urgency=medium

  * Emit obsolete-conffile tags for conffiles that are no longer shipped by a
    package only when they have not been locally modified (Closes: #981767).
  * Minor additions to CONTRIB.md
  * debian/rules: drop hardening settings. dh is supposed to take care of that
    automatically, according to wiki.d.o/Hardening
  * debian/copyright: add entry for license-incompatibility.md

 -- Serafeim Zanikolas <sez@debian.org>  Mon, 29 Jul 2024 00:11:06 +0200

adequate (0.16.4) unstable; urgency=medium

  * Ship README file to encourage package maintainers to run adequate using
    autopkgtest (Closes: #743198). Thanks to "Axel Beckert" <abe@debian.org>
    for providing the autopkgtest samples.
  * Ship CONTRIB.md

 -- Serafeim Zanikolas <sez@debian.org>  Fri, 26 Jul 2024 21:35:40 +0200

adequate (0.16.3) unstable; urgency=medium

  * Run external tools from the root directory, rather than from whatever
    happens to be the current working directory, in case the latter gets
    deleted (Closes: #856886).

 -- Serafeim Zanikolas <sez@debian.org>  Thu, 25 Jul 2024 00:26:20 +0200

adequate (0.16.2) unstable; urgency=medium

  * Disable PIE for mips64el to address FTBFS.
  * Minor cleanups in debian/{rules,control}

 -- Serafeim Zanikolas <sez@debian.org>  Wed, 24 Jul 2024 23:16:50 +0200

adequate (0.16.1) unstable; urgency=medium

  * Keep going when update-alternatives returns unexpected output (Closes:
    #857265).
  * Enable build hardening.

 -- Serafeim Zanikolas <sez@debian.org>  Tue, 23 Jul 2024 01:04:05 +0200

adequate (0.16) unstable; urgency=medium

  * Release complete rewrite of adequate. This is meant to be largely
    backwards-compatible, see relevant NEWS entry for details.
  * Add --fail flag to return non-zero exit status when at least one tag is
    emitted for at least one package (Closes: #742932).
  * Ship license-incompatibility.md in the hope that it'll attract more
    scrutiny.

 -- Serafeim Zanikolas <sez@debian.org>  Wed, 17 Jul 2024 21:49:06 +0200

adequate (0.15.15) experimental; urgency=low

  * Fix apt-hook and debconf integration (Closes: #1076157).

 -- Serafeim Zanikolas <sez@debian.org>  Sun, 07 Jul 2024 17:25:31 +0200

adequate (0.15.13) experimental; urgency=low

  * Upload to experimental a complete rewrite of adequate in another language.

 -- Serafeim Zanikolas <sez@debian.org>  Sat, 06 Jul 2024 16:32:11 +0200

adequate (0.15.12) unstable; urgency=medium

  * Set maintainer to team email address, and myself as uploader.
  * Actually bump Standards-Version to 4.7.0.

 -- Serafeim Zanikolas <sez@debian.org>  Sat, 18 May 2024 12:36:48 +0200

adequate (0.15.11) unstable; urgency=medium

  * Fix undefined-symbol false positive for libc6 (Closes: #1071093). Thanks
    to Aurelien Jarno <aurel32@debian.org> for the helpful context in BTS.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Serafeim Zanikolas <sez@debian.org>  Fri, 17 May 2024 21:32:34 +0200

adequate (0.15.10) unstable; urgency=medium

  * New maintainer (Closes: #786808).
  * Update Recommends to pkgconf (fixes depends-on-obsolete-package lint
    error).
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Serafeim Zanikolas <sez@debian.org>  Mon, 13 May 2024 20:41:05 +0200

adequate (0.15.9~deb12u1) bookworm; urgency=medium

  * QA upload.
  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 03 Dec 2023 10:44:59 +0100

adequate (0.15.9) unstable; urgency=medium

  * QA upload.
  * Skip symbol-size-mismatch test on architectures where array symbols don't
    include a specific length.  (Closes: #1050066)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 23 Nov 2023 10:06:17 +0100

adequate (0.15.8) unstable; urgency=medium

  * QA upload.
  * Disable deprecation warnings about smartmatch, given, when in Perl
    5.38.
    This is only a band aid but it buys us time before the feature will be
    removed in perl 5.42 in roughly 2 years.
    Also fix version comparison for smartmatch being experimental warnings.
    (Closes: #1043228)

 -- gregor herrmann <gregoa@debian.org>  Tue, 08 Aug 2023 18:06:34 +0200

adequate (0.15.7) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + adequate: Drop versioned constraint on pkg-config in Recommends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 May 2022 15:35:24 +0100

adequate (0.15.6) unstable; urgency=medium

  * QA upload.
  * Build libadequate-test-versionless.so.0 with -Wl,--no-as-needed.
    (Closes: #982443)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 26 Feb 2021 10:18:20 +0100

adequate (0.15.5) unstable; urgency=medium

  * QA upload.
  * Try building the test packages at package build time.
  * The test for missing-symbol-version-information now also triggers a
    ldd-failure.
  * Fix building test binaries with unresolved symbols.
  * Disable emitting the bin-or-sbin-binary-requires-usr-lib-library tag.
  * Generate tests/testpkg/debian/control since adequate output slightly
    differs between non-merged-usr and merged-usr systems.  (Closes: #981899)
  * Switch to debhelper-compat (= 13) and use dh.
  * testpkg: Switch to debhelper-compat (= 13) and use dh.
  * Bump Standards-Version to 4.5.1, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 13 Feb 2021 11:31:40 +0100

adequate (0.15.4) unstable; urgency=medium

  * QA upload.

  [ Axel Beckert ]
  * Retroactively mention #860941 in the previous changelog entry.

  [ Debian Janitor ]
  * Update standards version to 4.5.0, no changes needed.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

  [ Stuart Prescott ]
  * Drop Python 2 dependencies (Closes: #942926)
    - Port tests to use Python 3 paths
    - Drop Python 2-specific pyshared test
  * Don't build dbgsym packages in test suite.
  * Clean .buildinfo file from test suite.
  * Add dummy libraries to the test suite packages so that they can be found
    by ldd when running the tests.

 -- Axel Beckert <abe@debian.org>  Wed, 03 Feb 2021 04:07:01 +0000

adequate (0.15.3) unstable; urgency=medium

  * QA upload.
  * Don't use python2 in the autopkg tests.

 -- Matthias Klose <doko@debian.org>  Thu, 08 Oct 2020 12:46:44 +0200

adequate (0.15.2) unstable; urgency=medium

  * QA upload, see #786808.

  [ Jakub Wilk ]
  * Update copyright years.
  * Add license information for libpoppler.so.60 and libpoppler.so.61.

  [ Axel Beckert ]
  * Set Maintainer to Debian QA Group.
  * Convert packaging VCS repo to git and use salsa.debian.org for it.
  * Use HTTPS for debian/copyright format URL.
  * Use dpkg instead of coreutils for build-time smoke test. (Closes:
    #922773)
  * Apply "wrap-and-sort -a".
  * Use debhelper compatibility level 12.
    + Drop debian/compat.
    + Depend on "debhelper-compat (= 12)".
  * Drop version from (build-)dependency on perl.  (5.14 is already in
    oldoldstable.) Use only ${perl:Depends} in binary package.
  * Use $(DEB_VERSION) instead of dpkg-parsechangelog.
  * Declare compliance with Debian Policy 4.3.0. (No changes needed.)
  * Set "Rules-Requires-Root: no".
  * Drop "compression = gzip" from debian/source/options.
  * Fix tests/run-tests to not trip over .build files in .changes
    files. Patch developed independently by both, Adam Conrad and Axel
    Beckert. (Closes: #860941)

 -- Axel Beckert <abe@debian.org>  Fri, 01 Mar 2019 02:12:21 +0100

adequate (0.15.1) unstable; urgency=low

  * Fix false positive program-name-collision in less.
  * Use date of last modification in the manual page footer.
    This should help to make the package builds reproducible.
  * Fix typo in a tag description.
  * Add license information for libpoppler.so.57.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 12 Jan 2016 15:34:17 +0100

adequate (0.15) unstable; urgency=low

  * Add license information for the Ghostscript library (closes: #795566).
    Thanks to Didier Raboud for the bug report.
  * Add license information for the jbig2dec library.
  * Recognize AGPL-3 in machine-readable copyright files.
  * Add license information for libpoppler.so.46 and libpoppler.so.47.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 26 Aug 2015 11:07:21 +0200

adequate (0.14) unstable; urgency=low

  * Summary of tag changes:
    + Added:
      - ldd-failure

  * Run ldd on each file separately.
  * Don't abort when “ldd -r” fails, but emit ldd-failure instead
    (closes: #762615).

 -- Jakub Wilk <jwilk@debian.org>  Wed, 15 Jul 2015 15:59:36 +0200

adequate (0.13.3) unstable; urgency=low

  * Require pkg-config 0.27 or later in the test suite. In older versions,
    --exists didn't check dependencies.
  * Add pkg-config to Recommends (closes: #787169).
    Thanks to Micah Gersten for the bug report.
  * Exclude VCS-specific files from the source package in
    debian/source/options.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 31 May 2015 18:37:54 +0200

adequate (0.13.2) unstable; urgency=low

  * Drop “XS-Testsuite: autopkgtest”.
  * Add pkg-config to the DEP-8 test Depends (closes: #787043).
    Thanks to Micah Gersten for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 28 May 2015 10:42:14 +0200

adequate (0.13.1) unstable; urgency=low

  * Update the package description.
  * Don't emit program-name-collision when one programs symlinks to the
    other.
  * Bump standards version to 3.9.6 (no changes needed).

 -- Jakub Wilk <jwilk@debian.org>  Sun, 10 May 2015 20:15:51 +0200

adequate (0.13) unstable; urgency=low

  * Summary of tag changes:
    + Added:
      - missing-pkgconfig-dependency

  * Check for missing pkg-config dependencies (closes: #781037).
    Thanks to Niels Thykier for the bug report.
  * Fix false positive program-name-collision in debianutils
    (closes: #784068).
  * Improve error handling.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 27 Apr 2015 19:17:57 +0200

adequate (0.12.1) unstable; urgency=medium

  * Fix “keys/push on reference is experimental” warnings (closes: #758306).
    Thanks to Axel Beckert for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 16 Aug 2014 19:07:55 +0200

adequate (0.12) unstable; urgency=low

  * Exclude /usr/lib/pythonX.Y/lib2to3/tests/data/ and
    /usr/lib/pythonX.Y/test/bad* from byte-compilation checks.
  * Check for collisions between executables and bash builtin commands.
  * Use HTTPS URLs when they are available, in documentation and code.
  * Simplify error handling.
  * Test suite: fix compatibility with dpkg (>= 1.17.7).

 -- Jakub Wilk <jwilk@debian.org>  Mon, 07 Jul 2014 22:41:34 +0200

adequate (0.11.6) unstable; urgency=medium

  * Fix a typo in the --help message.
  * Improve the test suite:
    + Don't use APT for package installation, but manually call dpkg. This
      greatly reduces memory usage and improves speed.
    + If a package installation failed, don't try to upgrade newer versions of
      the same package.
    + Improve error handling.
  * Fix license information for libgmp.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 20 Apr 2014 20:06:53 +0200

adequate (0.11.5) unstable; urgency=low

  * DEP-8 tests: add a smoke test, which can be run without any restrictions.
  * Use the smoke test also at build time.
  * Add license information for libpoppler.so.44.
  * Update year range in the copyright file.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 03 Mar 2014 13:44:14 +0100

adequate (0.11.4) unstable; urgency=low

  * Use dh-buildinfo.
  * Add the --version option. Thanks to Holger Levsen for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 25 Jan 2014 23:19:34 +0100

adequate (0.11.3) unstable; urgency=medium

  * Brown paper bag release.
  * Fix false positive missing-alternative when there is more than one
    provider of the tested virtual package. Thanks to James McCoy for the bug
    report and the initial patch.
  * Add license information for libpoppler.so.43 (seen in Ubuntu).
  * Force gzip for tarball compression.
  * Bump minimum required version of Perl to 5.14.
    Perl 5.14 features have been used since adequate 0.10.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 17 Jan 2014 19:15:40 +0100

adequate (0.11.2) unstable; urgency=low

  * Fix license information for GnuTLS.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 12 Jan 2014 18:51:27 +0100

adequate (0.11.1) unstable; urgency=low

  * Brown paper bag release.
  * Fix false positive broken-binfmt-interpreter.
  * Tidy up the code. Thanks, perlcritic.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 10 Jan 2014 15:31:08 +0100

adequate (0.11) unstable; urgency=low

  * Summary of tag changes:
    + Added:
      - broken-binfmt-detector
      - broken-binfmt-interpreter

  * Check for broken binfmt interpreters and detectors.
  * Update the package description.
  * Fix a typo in the manual page (closes: #734692).
    Thanks to Shirish Agarwal for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 09 Jan 2014 23:41:45 +0100

adequate (0.10) unstable; urgency=low

  * Don't strip architecture qualifiers when reporting missing copyright files
    in “Multi-Arch: same” packages.
  * Extract license information from machine-readable copyright files.
  * Don't complain about scripts in /usr/lib/pythonX.Y/config-*/ not being
    byte-compiled.
  * Don't complain about program name collisions between molly-guard and
    sysvinit(-core). Thanks to Thorsten Glaser for the bug report.
  * Don't complain about program name collision between safe-rm and coreutils.
  * Tidy up the code. Thanks, perlcritic.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 27 Dec 2013 17:48:30 +0100

adequate (0.9.1) unstable; urgency=low

  * Update the package description.
  * Improve the test suite:
    + Fix Architecture fields of test packages.
    + Don't hardcode the i386 architecture (closes: #732448). Thanks to Martin
      Pitt for the bug report and the initial patch.
    + Fix DEP-8 test dependencies.
    + Fix test failures with ld that defaults to --as-needed. Thanks to Martin
      Pitt for the bug report and the patch.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 18 Dec 2013 09:25:29 +0100

adequate (0.9) unstable; urgency=low

  * Summary of tag changes:
    + Added:
      - program-name-collision
      - missing-alternative

  * Add license information for libgmp.so.10 and libltdl.so.7.
  * Check for program name collisions.
  * Check if providers of x-terminal-emulator and x-window-manager register
    required alternatives.
  * Test runner: don't expect deterministic order of emitted tags.
  * Improve error handling.
  * Tidy up the code. Thanks, perlcritic.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 16 Dec 2013 14:16:11 +0100

adequate (0.8.2) unstable; urgency=low

  * Improve the manual page:
    + Fix hyphens used as minus signs.
    + Add examples (closes: #726152)
      Thanks to Shirish Agarwal for the bug report.
  * Don't complain about files in /usr/share/paster_templates/ not being
    byte-compiled.
  * Fix reporting incompatible-licenses, and other ELF-related tags, against
    wrong package (closes: #729031).
  * Fix incorrect implementation of --tags for ELF-related tags.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 05 Dec 2013 10:04:22 +0100

adequate (0.8.1) unstable; urgency=medium

  * Fix possible privilege escalation via tty hijacking (CVE-2013-6409,
    closes: #730691).
    + Switch users only when running ldd.
    + Run ldd with stdin redirected to /dev/null, and without controlling
      terminal when run with reduced privileges.
  * Bump standards version to 3.9.5 (no changes needed).

 -- Jakub Wilk <jwilk@debian.org>  Thu, 28 Nov 2013 11:27:21 +0100

adequate (0.8) unstable; urgency=low

  * Summary of tag changes:
    + Added:
      - missing-symbol-version-information
      - symbol-size-mismatch

  * When printing warnings from ldd, avoid outputting binary name twice.
  * Check for symbol size mismatches.
  * Check for missing version information.
  * Report symbol issues with libraries in private directories (when they can
    be triggered by running ldd against binaries or libraries in public
    directories).
  * Add license information for libpoppler.so.37.
  * Don't complain about missing lua_* and luaL_* symbols in liblua* libraries.
  * Add “Summary of tag changes” sections to old changelog entries.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 16 Sep 2013 13:27:06 +0200

adequate (0.7.1) unstable; urgency=low

  * When checking ELFs, skip unresolvable symlinks (closes: #709484, #716988).
    Thanks to Laurent Bonnaud and Peter Karbaliotis for the bug reports.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 16 Jul 2013 15:37:13 +0200

adequate (0.7) unstable; urgency=low

  * Summary of tag changes:
    + Added:
      - incompatible-licenses

  * Check if Python modules in /usr/lib/pypy/ are byte-compiled
    (closes: #710021).
  * Check for binaries linked to libraries with incompatible licenses.
    Currently only licenses of the following libraries are recognized:
    OpenSSL, GnuTLS, Poppler, and GNU Readline.
  * Remove a duplicate label.
    Thanks to Niels Thykier for the bug report.
  * Silence “skipping <pkgname> because it's not installed” warnings
    (closes: #712446).
    Thanks to Paul Wise for the bug report.
  * Add a section about reporting bugs to the manual page.
  * Update the package description.
  * Add “XS-Testsuite: autopkgtest”.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 25 Jun 2013 00:25:26 +0200

adequate (0.6) unstable; urgency=low

  * Improve error handling when resolving symlinks (see bug #709484).
  * Improve error handling when accessing /var/lib/adequate/pending.
  * Add the --tags option (closes: #709372).
  * Assume that executable .py files in private directories that start with
    shebangs are scripts, rather than Python modules, and therefore don't
    require bytecompilation (closes: #709192).
  * Disable warnings about use of smartmatch (closes: #710063).
  * Add a minimal build-time test that verifies that adequate runs
    successfully and without warnings on a simple package (coreutils).
    + Add “perl (>= 5.12)” to Build-Depends.
  * Unset all LD_* environment variables when running ldd.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 29 May 2013 22:25:59 +0200

adequate (0.5.3) unstable; urgency=low

  * Make the obsolete conffile check work with pre-multi-arch dpkg.
  * Don't consider a conffile obsolete if dpkg-query lists it as non-obsolete
    and belonging to a different package (closes: #708588). This is a
    work-around for dpkg bug #645849.
  * Don't complain about /usr/lib/pythonX.Y/__phello__.foo.py not being
    byte-compiled.
  * Don't complain about .py files in /usr/share/apport/package-hooks/ not
    being byte-compiled (closes: #709187).

 -- Jakub Wilk <jwilk@debian.org>  Tue, 21 May 2013 21:10:41 +0200

adequate (0.5.2) unstable; urgency=low

  * Don't use dh_testdir; instead, use makefile rules to ensure that
    debian/rules can be only run in the correct directory.
  * Whitelist ps_* symbols in libthread_db-*.so libraries when checking for
    undefined symbols.
  * Improve diagnostics when ldd fails (closes: #706915).
    Thanks to Paul Wise for the bug report.
  * Find more undefined versioned symbols.
  * Make --pending ignore dpkg-query exit code (closes: #707080). This is
    needed because packages listed in /var/lib/adequate/pending might have
    been removed in the mean time.
    Thanks to Paul Wise for the bug report.
  * Don't complain about missing .pyc in /usr/lib/python2.X/dist-packages/ if
    2.X is not a supported Python version (closes: #707614).
  * Don't complain about missing .pyc in /usr/lib/python3/dist-packages/ if
    no supported Python 3 version is installed.
  * Clean tests/ subdirectory in the clean target.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 10 May 2013 12:39:39 +0200

adequate (0.5.1) unstable; urgency=low

  * Update the package description.
  * Disable the unicode_strings Perl feature.
  * Improve the manual page:
    + Call “Debian Python Policy” simply “Python Policy”.
    + Add links to Debian Policy and Python Policy.
    Thanks to Shirish Agarwal for the bug report.
  * Handle diversions correctly (closes: #706107).
    Thanks to Ben Hutchings for the bug report.
  * Fix Restrictions field in debian/tests/control. (The items should be
    space-separated, rather than comma-separated.)

 -- Jakub Wilk <jwilk@debian.org>  Wed, 24 Apr 2013 21:57:35 +0200

adequate (0.5) unstable; urgency=low

  * Summary of tag changes:
    + Added:
      - library-not-found

  * When looking for /(s)bin binaries, don't skip symlinks that point outside
    /(s)bin.
  * When looking for public executables and shared libraries, don't skip
    symlinks that point to directories that wouldn't normally be checked.
  * Check for binaries linked to libraries that cannot be found.
  * Change Debconf prompt priority to critical.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 04 Apr 2013 22:09:12 +0200

adequate (0.4.4) unstable; urgency=low

  * Make sure that the APT hook won't fail when the package is removed but not
    purged (closes: #702904). Thanks to Andreas Beckmann for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 14 Mar 2013 17:50:28 +0100

adequate (0.4.3) unstable; urgency=low

  * Upload to unstable.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 11 Mar 2013 22:30:21 +0100

adequate (0.4.2) experimental; urgency=low

  * Skip packages that are not fully installed (closes: #701995).
    Thanks to Axel Beckert for the bug report.
  * Refactor code responsible for printing errors and warnings.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 02 Mar 2013 10:59:42 +0100

adequate (0.4.1) experimental; urgency=low

  * Update the package description.
  * Add description to the manual page.
  * Document --apt-preinst and --pending in more details.
  * Add a test suite.
    + Add DEP-8 test script.
  * Add README.source asking to change source format when forking.
  * Improve the pyshared-file-not-bytecompiled tag description.
  * Fix Python byte-compilation checks for Python < 2.6.
  * Fix Python byte-compilation checks for python-support < 0.90.
  * Improve error handling.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 21 Feb 2013 13:41:14 +0100

adequate (0.4) experimental; urgency=low

  * Detect missing versioned symbols, too.
  * Avoid running ldd against the following files:
    - files that are known not to be readable;
    - dynamic linkers;
    - files with whitespace in their names.
  * Filter package names through dpkg-query. This adds or removes architecture
    suffixes, as needed.
  * Reduce number of ldd(1) calls to at most two.

  * Add option for chroot(2)ing into another directory: --root.
  * Add option for switching user and group: --user.
  * Make the APT hook run as user ‘nobody’.

  * Make the package more portable:
    + Stop requiring multi-arch-aware dpkg. Drop versioned runtime dependency
      on dpkg.
    + Stop using IPC::Run. Drop libipc-run-perl recommendation.
    + Load debconf modules lazily.

  * Improve options parsing. Exit with error for incompatible combinations of
    options (e.g. both --pending and --all).
  * Make --help more verbose.

  * Improve the documentation:
    + Work around bug #280148 in pod2man: manual page references should be
      rendered in bold, not in italics.
    + Add a to-do list.
    + Rewrite the undefined-symbol tag description.
    + Don't repeat “Debian Policy” if a tag refers multiple policy sections.
    + Document the --help option.
  * Replace “underlinked libraries” with “undefined symbols” in the package
    description. The latter is what adequate actually detects, while the
    former might or might not be the root cause of the observed problem.
  * Make generating the POD file atomic.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 30 Jan 2013 23:46:24 +0100

adequate (0.3.1) experimental; urgency=low

  * Initial upload to Debian (closes: #698656).
  * Update years in debian/copyright.
  * Disable the APT hook. (It can be re-enabled by editing
    /etc/apt/apt.conf.d/20adequate).
  * Improve error handling.
  * Improve the documentation.
  * Rebuild the documentation from source.
  * Add Vcs-* and Homepage fields.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 22 Jan 2013 23:30:21 +0100

adequate (0.3) unstable; urgency=low

  * Summary of tag changes:
    + Added:
      - undefined-symbol

  * Improve the documentation.
  * Remove some no-op code.
  * Check for undefined symbols.
  * Add libipc-run-perl to Recommends (needed for the new check).
  * Update the package description.
  * Bump standards version to 3.9.4 (no changes needed).

 -- Jakub Wilk <jwilk@debian.org>  Mon, 21 Jan 2013 20:25:37 +0100

adequate (0.2.1) unstable; urgency=low

  * Don't expect third-party Python 2.X modules to be byte-compiled if the
    corresponding Python version is not installed.
  * Print symlink target when reporting broken symlink.
  * Provide a manual page.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 14 Sep 2012 17:32:13 +0200

adequate (0.2) unstable; urgency=low

  * Summary of tag changes:
    + Added:
      - bin-or-sbin-binary-requires-usr-lib-library

  * Don't complain about .py files in /usr/lib/debug/usr/bin/ etc.
  * Don't complain about .py files in /usr/games/.
  * Check for /bin and /sbin binaries requiring /usr/lib libraries.
  * Reduce number of dpkg -L calls to one.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 03 Sep 2012 20:27:04 +0200

adequate (0.1.1) unstable; urgency=low

  * Summary of tag changes:
    + Added:
      - pyshared-file-not-bytecompiled

  * Don't store ambiguous package names (for Multi-Arch: same packages) in
    /var/lib/adequate/pending.
  * Don't complain about .py files in /etc that are not byte-compiled.
  * Don't complain about .py files within standard libraries of alternative
    Python interpreters (jython, pypy) that are not byte-compiled.
  * Check byte-compilation of files in /usr/share/pyshared/ and
    /usr/share/python-support/.
  * Fix emitting messages longer than 2 lines via debconf.
  * Don't put colon between tag name and extra information.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 11 Aug 2012 18:51:40 +0200

adequate (0.1) unstable; urgency=low

  * Initial release.

  * Summary of tag changes:
    + Added:
      - broken-symlink
      - missing-copyright-file
      - obsolete-conffile
      - py-file-not-bytecompiled

 -- Jakub Wilk <jwilk@debian.org>  Thu, 02 Aug 2012 21:19:14 +0200
